Python 2.7 Won't Build

Tom Browder tom.browder at gmail.com
Thu Sep 16 18:33:25 CEST 2010


I am trying to rebujild the 2.7 maintenance branch and get this error
on Ubuntu 10.04.1 LTS:

XXX lineno: 743, opcode: 0
Traceback (most recent call last):
  File "/usr/local/src/python-2.7-maint-svn/Lib/site.py", line 62, in <module>
    import os
  File "/usr/local/src/python-2.7-maint-svn/Lib/os.py", line 743, in <module>
    def urandom(n):
SystemError: unknown opcode

I installed it successfully once so I may be getting conflicts, but I
can't figure it out.  There were some similar bugs reported in
previous versions but I didn't see a clear solution.

I have unset my PYTHONPATH and LD_LIBRARY_PATH, but python2.7 is my
default python.

I guess my next step will be to manually remove python 2.7 unless I
hear some solutions soon.

Thanks,

-Tom

Thomas M. Browder, Jr.
Niceville, Florida
USA



More information about the Python-list mailing list